> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Current Customer

GET https://your_store.example.com/customer/current.jwt

Identify signed-in customers securely by requesting and decoding a BigCommerce-generated JWT.

The response body will contain a JWT.

> #### Note
> The Send a Test Request feature is not currently supported for this endpoint.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/authentication-apis/current-customer/get-current-customer

## Request

### Query parameters

- `app_client_id` (string, required) — This is the client ID of an app-level API account you generate when you create an app in the Developer Portal.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A JWT to decode using the client secret that corresponds with the app client ID you sent as a query parameter. After you decode the JWT, the payload resembles the following: ```json { "customer": { "id": 4927, "email": "john.doe@gmail.com", "group_id": "6", }, "iss": "bc/apps", "sub": "abc123", "iat": 1480831863, "exp": 1480832763, "version": 1, "aud": "6sv16tfx3j5gsopm42ss5dd67g2srvq", "application_id": "6sv16tasdgr2b5hs5dd67g2srvq", "store_hash": "abc123", "operation": "current_customer" } ```

- `string`

## Examples

**Response**

```json
"string"
```

**SDK Code**

```python
import requests

url = "https://your_store.example.com/customer/current.jwt"

querystring = {"app_client_id":"app_client_id"}

headers = {"Accept": "application/json"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id';
const options = {method: 'GET', headers: {Accept: 'application/json'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id")
  .header("Accept", "application/json")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id', [
  'headers' => [
    'Accept' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Accept": "application/json"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your_store.example.com/customer/current.jwt?app_client_id=app_client_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```